import { type Base, genBase } from "./_base"

export interface McuSrcCategory extends Base {
  code: string
  name: string
  scope_code: string
}

export function genMcuSrcCategory(): McuSrcCategory {
  return {
    ...genBase(),
    code: '',
    name: '',
    scope_code: '',
  }
}
